// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	event.create('arcane_piece').displayName('Arcane piece')
	event.create('mechanic_core_tier_1').displayName('Machine Core Tier 1')
	event.create('mechanic_core_tier_2').displayName('Machine Core Tier 2')
	event.create('mechanic_core_tier_3').displayName('Machine Core Tier 3')
	event.create('mechanic_core_tier_4').displayName('Machine Core Tier 4')
	event.create('encyp1').displayName('Infinity Compact part 1')
	event.create('encyp3').displayName('Infinity Compact part 2')
	event.create('encyp2').displayName('Infinity Compact')
	event.create('relief_totem').displayName('Totem of Relief')
	event.create('twilight_key').displayName('Key to the Twilight')
	event.create('core_currency').displayName('Unicore')
})
onEvent('fluid.registry', event => {
	event.create('liquid_antimatter')
    .textureThick(0xBE2596)
    .bucketColor(0xBE2596)
    .displayName('Liquid Antimatter')
  	.luminosity(2)
})

onEvent('block.registry', event => {
	event.create('compressed_coke_brick').displayName('Compressed coke brick').material('rock').hardness(4.0)
	event.create('compressed_nether_bricks').displayName('Compressed nether bricks').material('rock').hardness(4.0)
	event.create('op_casing').displayName('Operator Casing').material('rock').hardness(3.0)
	event.create('creative_essence_block').displayName('Creative Essence Block').material('rock').hardness(2.0)
})